%global dlrn_nvr ansible-role-openstack-operations-0.0.1.dev51-2.20210916004811.2ab288f
%global dlrn 1
%define upstream_version 0.0.1.dev51
%{!?upstream_version: %global upstream_version %{commit}}
%global commit 0a489e4c27f95728ce9e506368bead7ec2cbbb82
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%global srcname ansible_role_openstack_operations
%global rolename ansible-role-openstack-operations

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 0.0.1
Release: 2.20210916004811.2ab288f%{?dist}
Summary:        Ansible role to perform OpenStack Day 2 Operations

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://opendev.org/openstack/ansible-role-openstack-operations
Source0: ansible-role-openstack-operations-0.0.1.dev51-2.20210916004811.2ab288f.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=2ab288f14e6d3e5334dea211a365ee303ae5f9dc

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-pbr

# Handle python2 exception
%if %{pyver} == 2
Requires:       ansible
%else
Requires:       python3dist(ansible) >= 2
%endif
Requires:       ansible-pacemaker

%description

Ansible role to perform OpenStack Day 2 Operations

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%{pyver_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{pyver_install}


%files
%doc README*
%license LICENSE
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210916004811.2ab288f
- Update patches
- setup.cfg: Replace dashes with underscores

* Wed Jun 30 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210630231330.55889cb
- Update patches
- Correct the tox option for skipping sdist generation
- Fix ci

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210527195623.3937ea4
- Update patches

* Fri May 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.1-2.20210507144314.3937ea4
- Update patches




